Subject: [Jcardcal] DQUOTE characters in parameters

From: Bert Greevenbosch <[email-masked]>
Date: Wed, 4 Sep 2013 05:36:36 +0000

Hello Barry, all,

To address Barry's comment:

<QUOTE>
I don't understand this paragraph (in section 3.3.2 ed.)
"DQUOTE characters used to encapsulate the separated values MUST NOT
be added to the jCard parameter value."
</QUOTE>

I guess this is related to the following text from RFC 6350:

<QUOTE>
Property parameter value elements that contain the COLON (U+003A),
SEMICOLON (U+003B), or COMMA (U+002C) character separators MUST be
specified as quoted-string text values. Property parameter values
MUST NOT contain the DQUOTE (U+0022) character. The DQUOTE character
is used as a delimiter for parameter values that contain restricted
characters or URI text.
</QUOTE>

How about the following text for replacement:

<QUOTE>
The vCard specification requires encapsulation between DQUOTE characters if a parameter value contains a colon, a semicolon or a comma. These extra DQUOTE characters do not belong to the actual parameter value, and hence are not included when the parameter is converted to jCard.
</QUOTE>

Is this better?

Best regards,
Bert

---

From: Simon Perreault <[email-masked]>
Date: Wed, 04 Sep 2013 10:05:29 +0200

> The vCard specification requires encapsulation between DQUOTE characters if a parameter value contains a colon, a semicolon or a comma. These extra DQUOTE characters do not belong to the actual par…

Yes.

Simon

---

From: Michael Angstadt <[email-masked]>
Date: Wed, 4 Sep 2013 08:42:51 -0400

+1

On Wed, Sep 4, 2013 at 1:36 AM, Bert Greevenbosch <
[email-masked]> wrote:

> The vCard specification requires encapsulation between DQUOTE characters
> if a parameter value contains a colon, a semicolon or a comma. These extra
> DQUOTE characters do not belong to the actual parameter value, and hence
> are not included when the parameter is converted to jCard.
> </QUOTE>
>
> Is this better?
>
> Best regards,
> Bert
> _______________________________________________
> jcardcal mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/jcardcal
>

---

From: Barry Leiba <[email-masked]>
Date: Wed, 4 Sep 2013 09:02:22 -0400

Ah.  Duh.  Yes, now I understand, of course.  I like the suggested text,
and thanks.

Barry